Message: Cant find Qt5 using cmake on Ubuntu Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Cant find Qt5 using cmake on Ubuntu 

Forum: Installation and Configuration
Date: 10 Nov, 2015
From: Paul <Paul>

Hi all,

I have been unable to get Qt5 to build with cmake on Ubuntu 14.04. I was able to successfully build GEANT4 without using the DGEANT4_USE_QT=ON and DGEANT4_USE_OPENGL_X11=ON flags. Below is what I have used for the cmake including the path to help GEANT4 locate my Qt5 install directory.

cmake -DCMAKE_INSTALL_PREFIX=/usr/local -DGEANT4_INSTALL_DATA=ON -DGEANT4_USE_OPENGL_X11=ON -DBUILD_SHARED_LIBS=ON -DBUILD_STATIC_LIBS=ON -DGEANT4_USE_QT=ON CMAKE_PREFIX_PATH=/usr/Qt/5.5/gcc_64/bin /home/geant4.10.01.p02

The error I receive is as follows:

qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory
CMake Error at /usr/share/cmake-2.8/Modules/FindQt4.cmake:1386 (message):
  Found unsuitable Qt version "" from NOTFOUND, this code requires Qt 4.x
Call Stack (most recent call first):
  cmake/Modules/Geant4InterfaceOptions.cmake:112 (find_package)
  CMakeLists.txt:104 (include)

While the install guide says Qt5 will be searched for first, it appears only Qt4 is being searched? Is there a flag I need to use to force a Qt5 search?

Thanks!

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Question: Re: Cant find Qt5 using cmake on Ubuntu   (Liyong Zhang - 13 Oct, 2016)
(_ None: Re: Cant find Qt5 using cmake on Ubuntu   (Garnier Laurent - 13 Oct, 2016)
 Add Message Add Message
to: "Cant find Qt5 using cmake on Ubuntu"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]